%define upstream_name	 Test-LongString
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl module to test strings for equality
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder) >= 0.120.0
BuildRequires: perl(Test::Builder::Tester) >= 1.40.0
BuildArch:  noarch

%description
This module provides some drop-in replacements for the string comparison
functions of Test::More, but which are more suitable when you test against long
strings. If you've ever had to search for text in a multi-line string like an
HTML document, or find specific items in binary data, this is the module for
you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test/*
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.170.0-6.mga9
+ Revision: 1806186
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-5.mga8
+ Revision: 1497400
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.170.0-4.mga7
+ Revision: 1271936
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1034312
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 967011
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 847987
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 747545
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-2.mga5
+ Revision: 686479
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 672835
- update to 0.16

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 515218
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 373587
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 56837
- update to 0.15

* Fri Jan 21 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 29449
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 24565
- fix specs
- imported package perl-Test-LongString

